Posts Images
============

Way before WordPress implemented a media manager, I started to upload images to
use in my posts. By the time the media manager was well stablished and stable,
it wasn't compatible with the dozens (or hundreds) of images I uploaded for the
entries I had written.

This little plugin only purpose is for me to upload pictures (and corresponding
thumbnails) the way I'm used to in my blog.

The way it works is pretty simple: When I upload a picture (e.g.,
`picture.jpg`), it goes into:

```
${WORDPRESS_ROOT}/posts-images/%Y/%m/picture.jpg
```

The corresponding thumbnail (always scaled to a configurable fixed width) goes
into:

```
${WORDPRESS_ROOT}/posts-images/%Y/%m/thumb-picture.jpg
```

The `%Y` and `%m` are the same as the `date()` function: Four digit year and two
digit month, for the date when the picture is uploaded. It only works with JPEGs
and the database has not a single clue about the existence of the images. There
is no functionality to move or remove images. I could do that latter, but it
would be on a different plugin.
