<?php
/**
 * @package Posts_Images
 * @version 0.0.1
 */
/*
Plugin Name: Posts images
Plugin URI: https://aztlan.fciencias.unam.mx/gitlab/canek/posts-images/
Description: This plugin allows uploading of posts images.
Author: Canek Peláez
Version: 0.0.1
Author URI: https://aztlan.fciencias.unam.mx/~canek/
Text Domain: posts-images
*/

define('POSTS_IMAGES__PLUGIN_DIR', plugin_dir_path(__FILE__));

include_once POSTS_IMAGES__PLUGIN_DIR . "./class.processor.php";

add_action('admin_menu', 'posts_images_menu');
function posts_images_menu() {
    add_menu_page(
        __('Upload posts images', 'posts-images'),
        __('Posts images', 'posts-images'),
        'manage_options', 'posts-images', 'posts_images_page',
        'dashicons-images-alt', 90);
    add_options_page(__('Posts images options', 'posts-images'),
                     __('Posts images', 'posts-images'), 'manage_options',
                     'posts-images/options.php');
}

function posts_images_page() {
    if (is_file(plugin_dir_path(__FILE__) . 'page.php')) {
        include_once plugin_dir_path(__FILE__) . 'page.php';
    }
}

register_activation_hook(__FILE__, 'posts_images_activation');
function posts_images_activation($network_wide) {
	$option_name = 'posts_images_options';
	$option = array('path' => '', 'width' => POSTS_IMAGES__DEFAULT_WIDTH);

	if (is_multisite() && $network_wide) {
		$ms_sites = function_exists('get_sites') ? get_sites() : wp_get_sites();

		if (0 < count($ms_sites)) {
			foreach ($ms_sites as $ms_site) {
				$blog_id = isset($ms_site['blog_id']) ?
                    $ms_site['blog_id'] : $ms_site->blog_id;
				switch_to_blog($blog_id);
                add_option($option_name, $option);
			}
		}
		restore_current_blog();
	} else {
        add_option($option_name, $option);
	}
}

add_action('plugins_loaded', 'posts_images_load_textdomain');
function posts_images_load_textdomain() {
    load_plugin_textdomain('posts-images');
}
